DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getConstraintWeight (OFString &value, const signed long pos=0) const
| get ConstraintWeight (300a,0021) More...
OFCondition | getConstraintWeight (Float64 &value, const unsigned long pos=0) const
| get ConstraintWeight (300a,0021) More...
OFCondition | getDeliveryMaximumDose (OFString &value, const signed long pos=0) const
| get DeliveryMaximumDose (300a,0023) More...
OFCondition | getDeliveryMaximumDose (Float64 &value, const unsigned long pos=0) const
| get DeliveryMaximumDose (300a,0023) More...
OFCondition | getDeliveryWarningDose (OFString &value, const signed long pos=0) const
| get DeliveryWarningDose (300a,0022) More...
OFCondition | getDeliveryWarningDose (Float64 &value, const unsigned long pos=0) const
| get DeliveryWarningDose (300a,0022) More...
OFCondition | getOrganAtRiskFullVolumeDose (OFString &value, const signed long pos=0) const
| get OrganAtRiskFullVolumeDose (300a,002a) More...
OFCondition | getOrganAtRiskFullVolumeDose (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskFullVolumeDose (300a,002a) More...
OFCondition | getOrganAtRiskLimitDose (OFString &value, const signed long pos=0) const
| get OrganAtRiskLimitDose (300a,002b) More...
OFCondition | getOrganAtRiskLimitDose (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskLimitDose (300a,002b) More...
OFCondition | getOrganAtRiskMaximumDose (OFString &value, const signed long pos=0) const
| get OrganAtRiskMaximumDose (300a,002c) More...
OFCondition | getOrganAtRiskMaximumDose (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskMaximumDose (300a,002c) More...
OFCondition | getOrganAtRiskOverdoseVolumeFraction (OFString &value, const signed long pos=0) const
| get OrganAtRiskOverdoseVolumeFraction (300a,002d) More...
OFCondition | getOrganAtRiskOverdoseVolumeFraction (Float64 &value, const unsigned long pos=0) const
| get OrganAtRiskOverdoseVolumeFraction (300a,002d) More...
OFCondition | getReferencedDoseReferenceNumber (OFString &value, const signed long pos=0) const
| get ReferencedDoseReferenceNumber (300c,0051) More...
OFCondition | getReferencedDoseReferenceNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedDoseReferenceNumber (300c,0051) More...
OFCondition | getTargetMaximumDose (OFString &value, const signed long pos=0) const
| get TargetMaximumDose (300a,0027) More...
OFCondition | getTargetMaximumDose (Float64 &value, const unsigned long pos=0) const
| get TargetMaximumDose (300a,0027) More...
OFCondition | getTargetMinimumDose (OFString &value, const signed long pos=0) const
| get TargetMinimumDose (300a,0025) More...
OFCondition | getTargetMinimumDose (Float64 &value, const unsigned long pos=0) const
| get TargetMinimumDose (300a,0025) More...
OFCondition | getTargetPrescriptionDose (OFString &value, const signed long pos=0) const
| get TargetPrescriptionDose (300a,0026) More...
OFCondition | getTargetPrescriptionDose (Float64 &value, const unsigned long pos=0) const
| get TargetPrescriptionDose (300a,0026) More...
OFCondition | getTargetUnderdoseVolumeFraction (OFString &value, const signed long pos=0) const
| get TargetUnderdoseVolumeFraction (300a,0028) More...
OFCondition | getTargetUnderdoseVolumeFraction (Float64 &value, const unsigned long pos=0) const
| get TargetUnderdoseVolumeFraction (300a,0028) More...
OFCondition | setConstraintWeight (const OFString &value, const OFBool check=OFTrue)
| set ConstraintWeight (300a,0021) More...
OFCondition | setDeliveryMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set DeliveryMaximumDose (300a,0023) More...
OFCondition | setDeliveryWarningDose (const OFString &value, const OFBool check=OFTrue)
| set DeliveryWarningDose (300a,0022) More...
OFCondition | setOrganAtRiskFullVolumeDose (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskFullVolumeDose (300a,002a) More...
OFCondition | setOrganAtRiskLimitDose (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskLimitDose (300a,002b) More...
OFCondition | setOrganAtRiskMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskMaximumDose (300a,002c) More...
OFCondition | setOrganAtRiskOverdoseVolumeFraction (const OFString &value, const OFBool check=OFTrue)
| set OrganAtRiskOverdoseVolumeFraction (300a,002d) More...
OFCondition | setReferencedDoseReferenceNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedDoseReferenceNumber (300c,0051) More...
OFCondition | setTargetMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set TargetMaximumDose (300a,0027) More...
OFCondition | setTargetMinimumDose (const OFString &value, const OFBool check=OFTrue)
| set TargetMinimumDose (300a,0025) More...
OFCondition | setTargetPrescriptionDose (const OFString &value, const OFBool check=OFTrue)
| set TargetPrescriptionDose (300a,0026) More...
OFCondition | setTargetUnderdoseVolumeFraction (const OFString &value, const OFBool check=OFTrue)
| set TargetUnderdoseVolumeFraction (300a,0028) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | ConstraintWeight
| ConstraintWeight (300a,0021) vr=DS, vm=1, type=3.
DcmDecimalString | DeliveryMaximumDose
| DeliveryMaximumDose (300a,0023) vr=DS, vm=1, type=3.
DcmDecimalString | DeliveryWarningDose
| DeliveryWarningDose (300a,0022) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskFullVolumeDose
| OrganAtRiskFullVolumeDose (300a,002a) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskLimitDose
| OrganAtRiskLimitDose (300a,002b) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskMaximumDose
| OrganAtRiskMaximumDose (300a,002c) vr=DS, vm=1, type=3.
DcmDecimalString | OrganAtRiskOverdoseVolumeFraction
| OrganAtRiskOverdoseVolumeFraction (300a,002d) vr=DS, vm=1, type=3.
DcmIntegerString | ReferencedDoseReferenceNumber
| ReferencedDoseReferenceNumber (300c,0051) vr=IS, vm=1, type=1.
DcmDecimalString | TargetMaximumDose
| TargetMaximumDose (300a,0027) vr=DS, vm=1, type=3.
DcmDecimalString | TargetMinimumDose
| TargetMinimumDose (300a,0025) vr=DS, vm=1, type=3.
DcmDecimalString | TargetPrescriptionDose
| TargetPrescriptionDose (300a,0026) vr=DS, vm=1, type=3.
DcmDecimalString | TargetUnderdoseVolumeFraction
| TargetUnderdoseVolumeFraction (300a,0028) vr=DS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getConstraintWeight() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getConstraintWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ConstraintWeight (300a,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getConstraintWeight() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getConstraintWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ConstraintWeight (300a,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryMaximumDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getDeliveryMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DeliveryMaximumDose (300a,0023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryMaximumDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getDeliveryMaximumDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DeliveryMaximumDose (300a,0023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryWarningDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getDeliveryWarningDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DeliveryWarningDose (300a,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeliveryWarningDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getDeliveryWarningDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DeliveryWarningDose (300a,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskFullVolumeDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskFullVolumeDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OrganAtRiskFullVolumeDose (300a,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskFullVolumeDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskFullVolumeDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get OrganAtRiskFullVolumeDose (300a,002a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskLimitDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskLimitDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OrganAtRiskLimitDose (300a,002b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskLimitDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskLimitDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get OrganAtRiskLimitDose (300a,002b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskMaximumDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OrganAtRiskMaximumDose (300a,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskMaximumDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskMaximumDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get OrganAtRiskMaximumDose (300a,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskOverdoseVolumeFraction() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskOverdoseVolumeFraction | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OrganAtRiskOverdoseVolumeFraction (300a,002d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOrganAtRiskOverdoseVolumeFraction() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getOrganAtRiskOverdoseVolumeFraction | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get OrganAtRiskOverdoseVolumeFraction (300a,002d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceNumber() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getReferencedDoseReferenceNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedDoseReferenceNumber (300c,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceNumber() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getReferencedDoseReferenceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedDoseReferenceNumber (300c,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMaximumDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TargetMaximumDose (300a,0027)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMaximumDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetMaximumDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TargetMaximumDose (300a,0027)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMinimumDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetMinimumDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TargetMinimumDose (300a,0025)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetMinimumDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetMinimumDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TargetMinimumDose (300a,0025)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetPrescriptionDose() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetPrescriptionDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TargetPrescriptionDose (300a,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetPrescriptionDose() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetPrescriptionDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TargetPrescriptionDose (300a,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetUnderdoseVolumeFraction() [1/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetUnderdoseVolumeFraction | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TargetUnderdoseVolumeFraction (300a,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTargetUnderdoseVolumeFraction() [2/2]

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::getTargetUnderdoseVolumeFraction | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TargetUnderdoseVolumeFraction (300a,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setConstraintWeight()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setConstraintWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ConstraintWeight (300a,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveryMaximumDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setDeliveryMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DeliveryMaximumDose (300a,0023)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeliveryWarningDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setDeliveryWarningDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DeliveryWarningDose (300a,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskFullVolumeDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setOrganAtRiskFullVolumeDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set OrganAtRiskFullVolumeDose (300a,002a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskLimitDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setOrganAtRiskLimitDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set OrganAtRiskLimitDose (300a,002b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskMaximumDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setOrganAtRiskMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set OrganAtRiskMaximumDose (300a,002c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOrganAtRiskOverdoseVolumeFraction()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setOrganAtRiskOverdoseVolumeFraction | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set OrganAtRiskOverdoseVolumeFraction (300a,002d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedDoseReferenceNumber()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setReferencedDoseReferenceNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedDoseReferenceNumber (300c,0051)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetMaximumDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setTargetMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TargetMaximumDose (300a,0027)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetMinimumDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setTargetMinimumDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TargetMinimumDose (300a,0025)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetPrescriptionDose()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setTargetPrescriptionDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TargetPrescriptionDose (300a,0026)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTargetUnderdoseVolumeFraction()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::setTargetUnderdoseVolumeFraction | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TargetUnderdoseVolumeFraction (300a,0028)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrdrs3.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1